#!/bin/sh
set -ev

# Remove service
rc-update del pandora || true
rm -f /etc/init.d/pandora
rc-update -u

# Drop database and user
if [ -e /etc/init.d/postgres ]; then
    [ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
    echo 'DROP DATABASE pandora; DROP ROLE pandora;' | lxc-attach -u 5432 -g 5432 postgres -- psql
    [ ! -z ${STOP_POSTGRES} ] && service postgres stop
fi

# Remove RabbitMQ vhost and user
if [ -e /etc/init.d/rabbitmq ]; then
    [ ! -e /run/openrc/started/rabbitmq ] && service rabbitmq start && STOP_RABBITMQ=1
    lxc-attach rabbitmq -- rabbitmqctl delete_vhost /pandora || true
    lxc-attach rabbitmq -- rabbitmqctl delete_user pandora || true
    [ ! -z ${STOP_RABBITMQ} ] && service rabbitmq stop
fi

exit 0
